Changes between Version 8 and Version 9 of SystemRequirements


Ignore:
Timestamp:
Dec 8, 2010, 1:59:40 AM (9 years ago)
Author:
rme
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • SystemRequirements

    v8 v9  
    66
    7732-bit x86 versions of Clozure CL depend on the presence of the SSE2 instruction set extensions.  Most ia32 hardware manufactured and sold in the last several years supports SSE2 (all Apple Intel-based Macs do, for instance), but there are some exceptions. http://en.wikipedia.org/wiki/SSE2 contains lists of CPUs that support SSE2 (as well as some of the more notable exceptions.)
     8
     9=== ARM ===
     10Clozure CL targets the ARMv6t2 architecture.  It's mostly been run on a few Freescale i.MX515 machines
     11(see, for example, http://www.genesi-usa.com/products), and on the Nokia N810.
    812
    913=== PowerPC ===
     
    2731Memory-management policies in recent PPC Linux distributions may require workarounds; see PlatformNotes for details.
    2832
     33On the ARM, Clozure CL expects to be run on a distribution that runs in little endian mode ("armel"), supports
     34the "embedded API" ("eabi" or "gnuabi") and uses "soft-float" floating-point conventions (where C functions
     35pass floating-point arguments and return floating-point values in general-purpose registers).
     36
    2937=== Solaris ===
    3038All development and testing of CCL for Solaris has been done on !OpenSolaris (Solaris 11); it's not known if CCL works on older OS releases.